Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# EdgesPercept::Edge Class Reference

`#include <EdgesPercept.h>`

Inheritance diagram for EdgesPercept::Edge:

[legend]
Collaboration diagram for EdgesPercept::Edge:

[legend]
List of all members.

## Public Member Functions
void | serialize (In *in, Out *out)
## Public Attributes
Vector2< double > | point1OnField
Vector2< double > | point2OnField
Vector2< int > | point1InImage
Vector2< int > | point2InImage
double | lengthOnField
double | lengthInImage
double | angleOnField
double | angleInImage

## Member Function Documentation

void EdgesPercept::Edge::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 26 of file EdgesPercept.h. References angleInImage, angleOnField, lengthInImage, lengthOnField, point1InImage, point1OnField, point2InImage, point2OnField, STREAM, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

## Member Data Documentation

Vector2<double> EdgesPercept::Edge::point1OnField

| Definition at line 40 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

Vector2<double> EdgesPercept::Edge::point2OnField

| Definition at line 41 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

Vector2<int> EdgesPercept::Edge::point1InImage

| Definition at line 42 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

Vector2<int> EdgesPercept::Edge::point2InImage

| Definition at line 43 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

double EdgesPercept::Edge::lengthOnField

| Definition at line 44 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

double EdgesPercept::Edge::lengthInImage

| Definition at line 45 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

double EdgesPercept::Edge::angleOnField

| Definition at line 46 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

double EdgesPercept::Edge::angleInImage

| Definition at line 47 of file EdgesPercept.h. Referenced by EdgesPercept::add(), and serialize().

The documentation for this class was generated from the following file:

- Representations/Perception/EdgesPercept.h